Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235679 - Review Request: weechat - Portable, fast, light and extensible IRC client
Summary: Review Request: weechat - Portable, fast, light and extensible IRC client
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Šimon Lukašík
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 238518 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 15:40 UTC by Paul P Komkoff Jr
Modified: 2009-05-20 05:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-26 22:47:12 UTC
lukasim: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul P Komkoff Jr 2007-04-09 15:40:17 UTC
Spec URL: http://palevo.sgu.ru/mockbuild/6/SPECS/weechat.spec
SRPM URL: http://palevo.sgu.ru/mockbuild/6/SRPMS/weechat-0.2.4-2.fc6.src.rpm
Description:
WeeChat (Wee Enhanced Environment for Chat) is a portable, fast, light and
extensible IRC client. Everything can be done with a keyboard.
It is customizable and extensible with scripts.

Comment 1 Šimon Lukašík 2007-05-24 19:39:01 UTC
* MUST: rpmlint must be run on every package. The output should be posted in the
review.
        OK, clear
* MUST: The package must be named according to the Package Naming Guidelines.
        OK
* MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
        OK
* MUST: The package must meet the Packaging Guidelines.
        OK
* MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
        OK; GPL
* MUST: The License field in the package spec file must match the actual license.
        OK; GPL 2, June 1991
* MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
        OK; COPYING
* MUST: The spec file must be written in American English.
        OK
* MUST: The spec file for the package MUST be legible.
        OK
* MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL.
        OK; md5 - c7c7f89d6dac502ad31d12198a8836c1
* MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
        OK; i386
* MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
        OK; no ExcluseArch meanwhile; no notice from upstream.
* MUST: All build dependencies must be listed in BuildRequires.
        OK
* MUST: The spec file MUST handle locales properly.
        OK
* MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
        OK
* MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
        OK
* MUST: A package must own all directories that it creates.
        OK
* MUST: A package must not contain any duplicate files in the %files listing.
        OK
* MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
        OK
* MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
        OK
* MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
        OK
* MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
        OK
* MUST: Large documentation files should go in a -doc subpackage.
        OK
* MUST: If a package includes something as %doc, it must not affect the runtime
of the application.
        OK
* MUST: Header files must be in a -devel package.
        OK; There is no header files in telepathy-idle package.
* MUST: Static libraries must be in a -static package.
        Ok
* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
        OK
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
        OK, *.so here are symlinks
* MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency.
        OK; Not devel
* MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
        OK
* MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
        OK; No GUI.
* MUST: Packages must not own files or directories already owned by other packages.
        OK
* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
        OK
* MUST: All filenames in rpm packages must be valid UTF-8.
        OK
-----------------------------------------------------------
APPROVED
-----------------------------------------------------------
Looks fine; Maybe in description/summary there can (not must, I think) be
something about curses(or terminal) environment...

Comment 2 Paul P Komkoff Jr 2007-05-25 05:24:40 UTC
New Package CVS Request
=======================
Package Name: weechat
Short Description: Portable, fast, light and extensible IRC client
Owners: i@stingr.net
Branches: F-6 F-7
InitialCC: 

Comment 3 Nigel Jones 2007-05-25 10:50:21 UTC
*** Bug 238518 has been marked as a duplicate of this bug. ***

Comment 4 Šimon Lukašík 2007-05-25 12:38:03 UTC
Hello, I know it's late, but for next time:

In spec file:

> BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Should be:

BuildRoot %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

It's recommended, see also: "Build root tag" in Fedora wiki
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

Thanks.



Comment 5 Tom "spot" Callaway 2007-05-25 13:52:43 UTC
cvs done

Comment 6 Ray Van Dolson 2009-05-18 20:10:51 UTC
Package Change Request
======================
Package Name: weechat
New Branches: EL-4 EL-5
Owners: rayvd

Comment 7 Kevin Fenzi 2009-05-18 23:40:06 UTC
Ray: Have you asked Paul if he wants to maintain this in epel and/or has no interest in doing so?

Comment 8 Ray Van Dolson 2009-05-19 00:25:22 UTC
Yes.  Via email.  And he should be CC'd on this in case he wants to pipe up. :-)

Comment 9 Kevin Fenzi 2009-05-20 05:32:27 UTC
ok. 
cvs done.


Note You need to log in before you can comment on or make changes to this bug.